# https://taskfile.dev

version: '3'

vars:
  REPO: harbor.hq.rosti.cz/rosti/runtime
  VERSION: 2024.09-1
  BASEIMAGE: debian:bookworm

tasks:
  default:
    deps:
    - build
  
  pipeline:
    cmds:
    - task: build
    - task: test
    - task: push

  build:
    cmds:
    - docker pull {{ .BASEIMAGE }}
    - docker build -t {{ .REPO }}:dev .
    - docker tag {{ .REPO }}:dev {{ .REPO }}:{{ .VERSION }}
    - echo "JSON for admin:"
    - python3 generate_versions.py
  
  test:
    cmds:
    - bash ./tests2.sh {{ .REPO }}:{{ .VERSION }}
  
  squashed:
    cmds:
    - docker pull {{ .BASEIMAGE }}
    - docker build --squash -t {{ .REPO }}:dev-squashed .
    - docker tag {{ .REPO }}:dev-squashed {{ .REPO }}:{{ .VERSION }}
    - echo "JSON for admin:"
    - python3 generate_versions.py

  push:
    cmds:
    - docker push {{ .REPO }}:{{ .VERSION }}
    # deps:
    # - squashed
